unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, Forms, Dialogs,
  Db, DBTables, StdCtrls, DBGrids, Grids,
  ExtCtrls, ARWordReport, Buttons, Mask;

type
  TForm1 = class(TForm)
    WordReport1: TARWordReport;
    m1: TMemo;
    Table1: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Label2: TLabel;
    Query1: TQuery;
    Label3: TLabel;
    Label4: TLabel;
    Label1: TLabel;
    Label5: TLabel;
    Bevel1: TBevel;
    Label6: TLabel;
    Button1: TBitBtn;
    Button2: TBitBtn;
    SpeedButton1: TSpeedButton;
    Edit1: TEdit;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure WordReport1Tag(Sender: TObject; var TagValue: String);
    procedure WordReport1NeedSQL(Sender: TObject; SQLstring: String;
      var ResultDataset: TDataSet);
    procedure Button2Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses ShellAPI;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
  s: string;
begin
  s:= ExtractFileDir(Application.ExeName);
  Edit1.Text:= s+'\test.doc';
  Query1.DatabaseName:= s;
  Table1.DatabaseName:= s;
  Table1.Open;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  // Setting some WordReport properties
  WordReport1.Filename:= Edit1.Text; //Template file name
  WordReport1.CustTagValues.Assign(m1.Lines);
  // It is enough to use only Preview method
  // in most cases when you work with TARWordReport.
  WordReport1.Preview;
  // Closing TQuery which used in OnNeedSQL event
  Query1.Close;
  Query1.SQL.Clear;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  // You can use this line of code to edit template in MS Word !
  ShellExecute(0,nil,Pchar(Edit1.Text),nil,nil,SW_MAXIMIZE);
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    Edit1.Text:= OpenDialog1.FileName;
end;

procedure TForm1.WordReport1Tag(Sender: TObject; var TagValue: String);
begin
  // Using OnTag Event
  TagValue:= AnsiUpperCase(TagValue);
  if TagValue='NOWDATE' then TagValue:= DateToStr(now)
  else if TagValue='NOWTIME' then TagValue:= TimeToStr(now)
  else TagValue:='';
end;

procedure TForm1.WordReport1NeedSQL(Sender: TObject; SQLstring: String;
  var ResultDataset: TDataSet);
begin
  // Initialy ResultDataset=nil
  // You need to point it to your dataset
  try
    //Check SQLstring here if needed
    //(like a ARWordReportPerfom.CheckQuery function)
    Query1.Close;
    Query1.SQL.Clear;
    Query1.SQL.Add(SQLstring);
    Query1.Open;
    ResultDataset:= Query1;
  except
    ResultDataset:= nil;
  end;
end;

end.
